/*
 * Copyright 2004-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.jms.core.util;

import java.util.Enumeration;
import java.util.Iterator;

/**
 * @author koichik
 */
public class IterableAdapter implements Iterable<String>, Iterator<String> {
    Enumeration enumeration;

    public IterableAdapter(final Enumeration enumeration) {
        this.enumeration = enumeration;
    }

    public Iterator<String> iterator() {
        return this;
    }

    public boolean hasNext() {
        return enumeration.hasMoreElements();
    }

    public String next() {
        return String.class.cast(enumeration.nextElement());
    }

    public void remove() {
        throw new UnsupportedOperationException("remove");
    }
}
